# OverlayBase

OverlayBase : `Instance`

## Overview

Part의 외곽선(Outline)과 표면 채우기(Fill) 기능을 정의하기 위한 추상 클래스입니다.

## Properties

### Adornee

`Instance`

렌더링 대상으로 사용할 오브젝트를 정의합니다.

#### Code Samples

```lua
local Outline = script.Parent

local Workspace = game:GetService("Workspace")
local Part = Workspace:WaitForChild("Part")

Outline.Adornee = Part
```

### Enabled

`boolean`

표시 여부를 설정합니다.

#### Code Samples

```lua
local Outline = script.Parent

Outline.Enabled = false
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/overlaybase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
